// Copyright 1994-2005 by Jon Dart.  All Rights Reserved.

#ifndef _GLOBALS_H
#define _GLOBALS_H

// global variables

#include "types.h"
#include "options.h"
#include "log.h"
#include "book.h"
#include "movearr.h"

extern Options options;
extern MoveArray *gameMoves;

#define CMD_BUF_SIZE 16384
extern string learnFileName;
extern char cmd_buf[CMD_BUF_SIZE];
extern int cmd_buf_count;
extern string programPath;
extern int EGTBMenCount;
extern Book *openingBook;
extern Log *theLog;

#include <iostream>
#ifdef _THREAD_TRACE
#include <stdio.h>
#endif

extern string derivePath(const char *fileName);
extern string derivePath(const char *base, const char *fileName);

extern int initGlobals(const char *pathName,int initBitbases=1);

extern void CDECL cleanupGlobals(void);

extern void initOptions(const char *pathName);

extern void delayedInit();

#endif
